
%global meadversion 0.1.6
%global namedversion 0.1.6.Final-redhat-00001
%global meadalpha .Final_redhat_00001
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00001

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package netty-xnio-transport}
%{!?scl:%global pkg_name %{name}}

%define maven_version 0.1.6.Final-redhat-00001

Name:           %{?scl_prefix}netty-xnio-transport
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Netty XNIO Transport
Group:          Development/Java

%if %with mead
Source100: netty-xnio-transport-0.1.6.Final-redhat-00001-scm-sources.zip
Source102: netty-xnio-transport-0.1.6.Final-redhat-00001.jar
Source103: netty-xnio-transport-0.1.6.Final-redhat-00001-project-sources.tar.gz
Source104: netty-xnio-transport-0.1.6.Final-redhat-00001.pom
Source105: netty-xnio-transport-0.1.6.Final-redhat-00001-javadoc.jar
Source106: netty-xnio-transport-0.1.6.Final-redhat-00001-sources.jar
%endif

License:        ASL 2.0
URL:            https://github.com/xnio/netty-xnio-transport
BuildArch:      noarch
BuildRoot:      %{_tmppath}/netty-xnio-transport-%{namedversion}-%{release}-root

%description
Netty XNIO Transport.

%if %with javadoc
%package javadoc
Summary:        Javadoc for netty-xnio-transport
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n netty-xnio-transport -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/netty-xnio-transport-%{namedversion}.jar %{buildroot}%{_javadir}/netty-xnio-transport-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/netty-xnio-transport-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/netty-xnio-transport-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/netty-xnio-transport-%{namedversion}-sources.jar %{buildroot}%{_javadir}/netty-xnio-transport-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/netty-xnio-transport-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/netty-xnio-transport-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/netty-xnio-transport-%{namedversion} -x META-INF/\*
%{__ln_s} netty-xnio-transport-%{namedversion} %{buildroot}%{_javadocdir}/netty-xnio-transport
%endif

%clean
%{__rm} -rf %{buildroot}

%files -n %{?scl_prefix}netty-xnio-transport
%defattr(0644,root,root,0755)
%doc LICENSE README.md
%{_javadir}/netty-xnio-transport-%{namedversion}.jar
%{_javadir}/netty-xnio-transport.jar
%if %with javadoc
%{_javadir}/netty-xnio-transport-%{namedversion}-javadoc.jar
%{_javadir}/netty-xnio-transport-javadoc.jar
%endif
%{_javadir}/netty-xnio-transport-%{namedversion}-sources.jar
%{_javadir}/netty-xnio-transport-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/netty-xnio-transport-%{namedversion}
%{_javadocdir}/netty-xnio-transport
%endif

%changelog
* Thu Aug 30 2018 Vladimir Dosoudil <vdosoudi@redhat.com> - 0.1.6-1.Final_redhat_00001.1
- upgrade to 0.1.6.Final-redhat-00001

* Mon Jun 25 2018 Yong Yang <yyang@redhat.com> - 0.1.2-2.Final_redhat_1.1
- Rewrap for 7.2.0

* Wed Feb 15 2017 Petr Sakar <psakar@redhat.com> - 0.1.2-1.Final_redhat_1.1
- upgrade to 0.1.2.Final-redhat-1

* Tue Jul 28 2015 Hui Wang <huwang@redhat.com> - 0.1.1-1.Final_redhat_1.1
- Initial build

